<?php


namespace App\ViewModels\AgendaEspecialidade\AgendaEspecialidadeConflictingViewModel;


use App\Utils\Entity;

class AgendaEspecialidadeConflictingViewModel extends Entity
{
    protected $id;
    protected $data;
    protected $hora_inicio;
    protected $hora_final;

    public static function builder() : AgendaEspecialidadeConflictingViewModelBuilder
    {
        return new AgendaEspecialidadeConflictingViewModelBuilder;
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function getData(): string
    {
        return $this->data;
    }

    public function getHoraInicio(): string
    {
        return $this->hora_inicio;
    }

    public function getHoraFinal(): string
    {
        return $this->hora_final;
    }

    public function setId(int $id): void
    {
        $this->id = $id;
    }

    public function setData(string $data): void
    {
        $this->data = $data;
    }

    public function setHoraInicio(string $hora_inicio): void
    {
        $this->hora_inicio = $hora_inicio;
    }

    public function setHoraFinal(string $hora_final): void
    {
        $this->hora_final = $hora_final;
    }

}